# Uses of Class
com.usatiuk.dhfs.persistence.JObjectKeyP

Packages that use JObjectKeyP
Package
Description
com.usatiuk.dhfs
com.usatiuk.dhfs.persistence
com.usatiuk.dhfs.repository

## Uses of JObjectKeyP in com.usatiuk.dhfs

Methods in com.usatiuk.dhfs that return JObjectKeyP
Modifier and Type
Method
Description
`JObjectKeyP`
JObjectKeyProtoSerializer.`serialize(JObjectKey object)`
Methods in com.usatiuk.dhfs with parameters of type JObjectKeyP
Modifier and Type
Method
Description
`JObjectKey`
JObjectKeyProtoSerializer.`deserialize(JObjectKeyP message)`

## Uses of JObjectKeyP in com.usatiuk.dhfs.persistence

Methods in com.usatiuk.dhfs.persistence that return JObjectKeyP
Modifier and Type
Method
Description
`JObjectKeyP`
JObjectKeyP.Builder.`build()`
`JObjectKeyP`
JObjectKeyP.Builder.`buildPartial()`
`static JObjectKeyP`
JObjectKeyP.`getDefaultInstance()`
`JObjectKeyP`
JObjectKeyP.Builder.`getDefaultInstanceForType()`
`JObjectKeyP`
JObjectKeyP.`getDefaultInstanceForType()`
`JObjectKeyP`
PeerIdP.Builder.`getId()`
`.dhfs.persistence.JObjectKeyP id = 1;`
`JObjectKeyP`
PeerIdP.`getId()`
`.dhfs.persistence.JObjectKeyP id = 1;`
`JObjectKeyP`
PeerIdPOrBuilder.`getId()`
`.dhfs.persistence.JObjectKeyP id = 1;`
`JObjectKeyP`
ChunkDataP.Builder.`getKey()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`JObjectKeyP`
ChunkDataP.`getKey()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`JObjectKeyP`
ChunkDataPOrBuilder.`getKey()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`static JObjectKeyP`
JObjectKeyP.`parseDelimitedFrom(InputStream input)`
`static JObjectKeyP`
JObjectKeyP.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(byte[] data)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(com.google.protobuf.ByteString data)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(InputStream input)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(ByteBuffer data)`
`static JObjectKeyP`
JObjectKeyP.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.persistence that return types with arguments of type JObjectKeyP
Modifier and Type
Method
Description
`com.google.protobuf.Parser<JObjectKeyP>`
JObjectKeyP.`getParserForType()`
`static com.google.protobuf.Parser<JObjectKeyP>`
JObjectKeyP.`parser()`
Methods in com.usatiuk.dhfs.persistence with parameters of type JObjectKeyP
Modifier and Type
Method
Description
`JObjectKeyP.Builder`
JObjectKeyP.Builder.`mergeFrom(JObjectKeyP other)`
`PeerIdP.Builder`
PeerIdP.Builder.`mergeId(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP id = 1;`
`ChunkDataP.Builder`
ChunkDataP.Builder.`mergeKey(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP key = 1;`
`static JObjectKeyP.Builder`
JObjectKeyP.`newBuilder(JObjectKeyP prototype)`
`PeerIdP.Builder`
PeerIdP.Builder.`setId(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP id = 1;`
`ChunkDataP.Builder`
ChunkDataP.Builder.`setKey(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP key = 1;`

## Uses of JObjectKeyP in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return JObjectKeyP
Modifier and Type
Method
Description
`JObjectKeyP`
CanDeleteRequest.Builder.`getName()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyP`
CanDeleteRequest.`getName()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyP`
CanDeleteRequestOrBuilder.`getName()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyP`
GetObjectRequest.Builder.`getName()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyP`
GetObjectRequest.`getName()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyP`
GetObjectRequestOrBuilder.`getName()`
`.dhfs.persistence.JObjectKeyP name = 2;`
`JObjectKeyP`
CanDeleteReply.Builder.`getReferrers(int index)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`JObjectKeyP`
CanDeleteReply.`getReferrers(int index)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`JObjectKeyP`
CanDeleteReplyOrBuilder.`getReferrers(int index)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type JObjectKeyP
Modifier and Type
Method
Description
`List<JObjectKeyP>`
CanDeleteReply.Builder.`getReferrersList()`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`List<JObjectKeyP>`
CanDeleteReply.`getReferrersList()`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`List<JObjectKeyP>`
CanDeleteReplyOrBuilder.`getReferrersList()`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
Methods in com.usatiuk.dhfs.repository with parameters of type JObjectKeyP
Modifier and Type
Method
Description
`CanDeleteReply.Builder`
CanDeleteReply.Builder.`addReferrers(int index, JObjectKeyP value)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`CanDeleteReply.Builder`
CanDeleteReply.Builder.`addReferrers(JObjectKeyP value)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
`CanDeleteRequest.Builder`
CanDeleteRequest.Builder.`mergeName(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP name = 2;`
`GetObjectRequest.Builder`
GetObjectRequest.Builder.`mergeName(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP name = 2;`
`CanDeleteRequest.Builder`
CanDeleteRequest.Builder.`setName(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP name = 2;`
`GetObjectRequest.Builder`
GetObjectRequest.Builder.`setName(JObjectKeyP value)`
`.dhfs.persistence.JObjectKeyP name = 2;`
`CanDeleteReply.Builder`
CanDeleteReply.Builder.`setReferrers(int index, JObjectKeyP value)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`
Method parameters in com.usatiuk.dhfs.repository with type arguments of type JObjectKeyP
Modifier and Type
Method
Description
`CanDeleteReply.Builder`
CanDeleteReply.Builder.`addAllReferrers(Iterable<? extends JObjectKeyP> values)`
`repeated .dhfs.persistence.JObjectKeyP referrers = 3;`